<?php
/**
* @version	$Id: constants.php 13100 2010-01-13 11:36:15Z alex $
* @package	In-Commerce
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license	Commercial License
* This software is protected by copyright law and international treaties.
* Unauthorized reproduction or unlicensed usage of the code of this program,
* or any portion of it may result in severe civil and criminal penalties,
* and will be prosecuted to the maximum extent possible under the law
* See http://www.in-portal.org/commercial-license for copyright notices and details.
*/

	// order statuses
	define('ORDER_STATUS_INCOMPLETE',	0);
	define('ORDER_STATUS_PENDING',		1);
	define('ORDER_STATUS_BACKORDERS',	2);
	define('ORDER_STATUS_TOSHIP',		3);
	define('ORDER_STATUS_PROCESSED',	4);
	define('ORDER_STATUS_DENIED',		5);
	define('ORDER_STATUS_ARCHIVED',		6);

	/**
	 * ID of order, that 100% not in database
	 *
	 */
	define('FAKE_ORDER_ID', -1);

	define('PRODUCT_TYPE_TANGIBLE',		1);
	define('PRODUCT_TYPE_SUBSCRIPTION',	2);
	define('PRODUCT_TYPE_SERVICE',		3);
	define('PRODUCT_TYPE_DOWNLOADABLE',	4);
	define('PRODUCT_TYPE_PACKAGE',		5);

	// payment gateway processing satuses
	define('SHIPPING_CONTROL_DIRECT', 3);
	define('SHIPPING_CONTROL_PREAUTH', 4);

	// gift certificate statuses
	define('gcENABLED', 1);
	define('gcUSED', 2);
	define('gcDISABLED', 0);

	define('USPS_LABEL_FOLDER', WRITEABLE . '/user_files/labels/');